Bug 216138 - duplicate global symbols in at-spi libraries
duplicate global symbols in at-spi libraries
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: at-spi (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
bzcl34nup
:
Depends On:
Blocks: 216170
  Show dependency treegraph
 
Reported: 2006-11-17 09:18 EST by Joe Orton
Modified: 2008-05-06 21:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:00:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 376399 None None None Never

  None (edit)
Description Joe Orton 2006-11-17 09:18:04 EST
Description of problem:
Clashes for /usr/lib/libspi.so.0.10.11:
  with /usr/lib/libloginhelper.so.0.0.0 =>
Accessibility_LoginHelper_getDeviceReqs Accessibility_LoginHelper__iinterface
(...14 symbols omitted...) POA_Accessibility_LoginHelper__init
  with /usr/lib/libbonobo-2.so.0.0.0 => Bonobo_Stream__iinterface
Bonobo_Storage_setInfo (...49 symbols omitted...) POA_Bonobo_Storage__init

A number of symbols shared between libspi and libloginhelper - intentional?

A larger number suplicated from libbonobo.

Version-Release number of selected component (if applicable):
at-spi-1.7.11-2.fc6.i386
Comment 1 Matthias Clasen 2006-11-17 13:28:10 EST
I believe this is caused by Accessibility.idl including
Accessibility_LoginHelper.idl. I have filed an upstream bug to get
some guidance on the right fix.
Comment 2 Bug Zapper 2008-04-03 14:40:31 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-06 21:00:39 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.